import { getStandardList } from '@/api/standard/standard.js'
const standard = {
  namespaced: true,
  state: {
    standard: '',
    standard_name: '',
    standardList: []
  },

  mutations: {
    SET_STANDARD: (state, standard) => {
      state.standard = standard
    },
    SET_STANDARD_LIST: (state, standardList) => {
      state.standardList = standardList
    },
    SET_STANDARDNAME: (state, standard) => {
      state.standard_name = standard
    }
  },

  actions: {
    setStandard({ commit }, standard) {
      commit('SET_STANDARD', standard.id)
      commit('SET_STANDARDNAME', standard.name)
    },
    setStandardList({ commit }, name) {
      getStandardList({
        keyWord: name ? name : '',
        pageNum: 1,
        pageSize: 9999
      }).then(res => {
        if (res.code === 200) {
          if (res.rows.length) {
            standard.state.standard = res.rows[0].id
          }
          commit(
            'SET_STANDARD_LIST',
            res.rows.filter(i => i.standardStatus === 'INFORCE')
          )
        }
      })
    }
  }
}

export default standard
